Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class TestSyndFeedRSS10DCMulti

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.SyndFeedTest
                      com.sun.syndication.unittest.TestSyndFeedRSS090
                          com.sun.syndication.unittest.TestSyndFeedRSS10
                              com.sun.syndication.unittest.TestSyndFeedRSS10DCMulti

All Implemented Interfaces:
  junit.framework.Test

    public class TestSyndFeedRSS10DCMulti

extends TestSyndFeedRSS10

Test case for the multi-valued DublinCore module elements.

Author:
  Paul Dlug

Constructor Summary
`` | `TestSyndFeedRSS10DCMulti()`
`protected` | `TestSyndFeedRSS10DCMulti(String type)`
`protected` | `TestSyndFeedRSS10DCMulti(String feedType, String feedFileName)`

Method Summary
`protected void` | `_testDCModule(DCModule dc, String prefix)`
`protected void` | `_testItemDCModule(int i)`
`void` | `testChannelDCModule()`
`void` | `testItemsDCModule()`

Methods inherited from class com.sun.syndication.unittest.TestSyndFeedRSS10
`_testItem, _testUri, testUri`

Methods inherited from class com.sun.syndication.unittest.TestSyndFeedRSS090
`testDescription, testEntryDescription, testEntryLink, testEntryPublishedDate, testEntryTitle, testImage, testImageLink, testImageTitle, testImageUrl, testItem0, testItem1, testLanguage, testLink, testPublishedDate, testTitle`

Methods inherited from class com.sun.syndication.unittest.SyndFeedTest
`assertEqualsStr, assertProperty, getEntryAuthor, getEntryDescription, getEntryLink, getEntryPublishedDate, getEntryTitle, getPrefix, tearDown, testEntries, testPreserveWireFeed, testType`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSyndFeedRSS10DCMulti

    public TestSyndFeedRSS10DCMulti()

### TestSyndFeedRSS10DCMulti

    protected TestSyndFeedRSS10DCMulti(String type)

### TestSyndFeedRSS10DCMulti

    protected TestSyndFeedRSS10DCMulti(String feedType,
                                       String feedFileName)

Method Detail

### testChannelDCModule

    public void testChannelDCModule()
                             throws Exception

  Throws:
    `Exception`

### _testDCModule

    protected void _testDCModule(DCModule dc,
                                 String prefix)
                          throws Exception

  Throws:
    `Exception`

### testItemsDCModule

    public void testItemsDCModule()
                           throws Exception

  Throws:
    `Exception`

### _testItemDCModule

    protected void _testItemDCModule(int i)
                              throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.